Smart Class parameters cannot be overridden in nested host groups

04/20/2014 02:37 AM - Martin Jackson

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Puppet integration   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running the 1.5.0RC1 with puppet 3.5.1 from puppetlabs.

I have three hostgroups:

base

base/nullmailer

base/nullmailer/foreman

I have the foreman's puppet class applied to base, and am overriding puppet::server to "false".  I can see the value set in base.  I

also have puppet::server_git_repo overridden to "true".

I do not see those variables in either base/nullmailer or in base/nullmailer/foreman.

I know some organizations depend greatly on parameter inheritance, so I am setting the priority to "High".

I can provide logs etc. if needed.

Associated revisions

Revision 4c8d2c2c - 04/21/2014 04:52 PM - Dominic Cleal

fixes #5247 - overridable keys displayed on host group when env is inherited

Revision 673c886b - 04/28/2014 11:51 AM - Dominic Cleal

fixes #5247 - overridable keys displayed on host group when env is inherited

(cherry picked from commit 4c8d2c2ccde0ea04a493004382d14d5030cb6d9a)

History

#1 - 04/20/2014 02:46 AM - Martin Jackson

Note:  The title should read "nested hostgroups", sorry.

#2 - 04/20/2014 09:14 AM - Dominic Cleal

- Subject changed from Smart Class parameters cannot be overridden in nested classes  to Smart Class parameters cannot be overridden in nested

host groups

- Category set to Puppet integration

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1394
https://github.com/theforeman/foreman/pull/1394


This seems to occur when the environment on the child host group has an inherited environment ("Inherit parent (production)").  Explicitly set

environments, or the above patch should resolve it.  Thanks!

#3 - 04/20/2014 12:43 PM - Martin Jackson

Tested and working.  I could see and override values in nested hostgroups.

#4 - 04/21/2014 05:32 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4c8d2c2ccde0ea04a493004382d14d5030cb6d9a.
